package com.diagbot.facade;

import com.diagbot.client.CdssCoreClient;
import com.diagbot.dto.RegulationIndexDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.RegulationIndexVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2021/3/15 10:58
 */
@Component
public class KlRegulationFacade {

    @Autowired
    CdssCoreClient cdssCoreClient;

    public RespDTO<List<RegulationIndexDTO>> index(RegulationIndexVO regulationIndexVO) {
        RespDTO<List<RegulationIndexDTO>> respDTO = cdssCoreClient.index(regulationIndexVO);
        RespDTOUtil.respNGDealCover(respDTO, "远程调用【cdss-core】，检索规则编码失败");
        return respDTO;
    }
}
