package com.diagbot.biz.push.entity;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:诊断、药品等对接项目通用结构
 * @Author:zhaops
 * @time: 2019/12/10 14:29
 */
@Getter
@Setter
public class Item {
    /**
     * HIS名称
     */
    private String name;
    /**
     * 内部名称（公表名）
     */
    private String uniqueName;
    /**
     * 开单时间
     */
    private String dateValue;
    /**
     * 出报告时间
     */
    private String finishDateValue;
    /**
     * 频次
     */
    private String frequency;

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }
}
