package com.diagbot.biz.push.entity;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:化验结构
 * @Author:zhaops
 * @time: 2019/12/6 11:11
 */
@Getter
@Setter
public class Lis {
    /**
     * 套餐名称
     */
    private String name;
    /**
     * 化验明细项
     */
    private String detailName;
    /**
     * 化验公表名
     */
    private String uniqueName;
    /**
     * 化验结果值
     */
    private Double value;
    /**
     * 单位
     */
    private String units;
    /**
     * 最小值
     */
    private Double minValue;
    /**
     * 最大值
     */
    private Double maxValue;
    /**
     * 其他非数值结果，包括阴性阳性，文字描述等
     */
    private String otherValue;
    /**
     * 开单时间
     */
    private String dateValue;
    /**
     * 出报告时间
     */
    private String finishDateValue;
    /**
     * 数据来源（0：内部数据，1：外部数据）
     */
    private Integer source;
    /**
     * HIS比较结果
     */
    private String result;
    /**
     * 频次
     */
    private String frequency;
    /**
     * 文本类型最小值
     */
    private String strMinValue;
    /**
     * 文本类型最大值
     */
    private String strMaxValue;

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public void setDetailName(String detailName) {
        this.detailName = detailName == null ? null : detailName.trim();
    }
}