package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/8/6 9:43
 */
@Data
public class ConceptCollectionDTO {
    private Long collectionId;
    private String collectionLibName;
    private Integer collectionLibType;
    @ApiModelProperty(hidden = true)
    private Integer collectionStatus;
    private String collectionRemark;
    private Long relationId;
    @ApiModelProperty(hidden = true)
    private String concatConceptLibName;
    private Integer conceptLibType;
    @ApiModelProperty(hidden = true)
    private Integer conceptStatus;
    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date gmtModified;
    /**
     * 修改人
     */
    private String modifier;
}
