package com.diagbot.vo;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 医院信息表
 * </p>
 *
 * @author zhoutg
 * @since 2020-08-06
 */
@Data
public class HospitalInfoGetVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @NotNull(message = "医院id不能为空")
    private Long id;
}
